FF Multi Converter – konwersja audio/wideo i nie tylko

Uwaga: Ten wpis został utworzony ponad rok temu. Informacje w nim zawarte mogą być nieaktualne!

Dzisiaj chcę przedstawić Wam program, który zapewne wiele osób szukało. Jak wiadomo na Ubuntu bardzo ciężko znaleźć aplikację, która pozwoli na konwertowanie różnych formatów plików audio, czy wideo.

FF Multi Converter jest najlepszym konwerterem jaki udało mi się znaleźć na platformę Linux.

FF Multi Converter

Cechy:

  • interfejs łatwy w obsłudze,
  • konwerter w języku polskim,
  • konwersja audio/wideo, dokumentów i obrazów,
  • wiele wygodnych opcji konwersji,
  • szybka i dokładna konwersja,
  • dostęp do wspólnych opcji konwersji,
  • opcja zapisywania i nazywania plików,
  • program cały czas w rozwoju,
  • całkowicie darmowy.

Obsługiwane formaty

  • audio/wideo:
  • aac, ac3, afc, aiff, amr, asf, au, avi, dvd, flac, flv, MKA, MKV, mmf, mov, mp3, mp4, mpg, ogg, OGV, psp, rm, spx, vob, wav, WebM, wma, wmv, a także wiele innych obsługiwanych przez ffmpeg.

  • obrazy:
  • bmp, CGM, dpx, emf, eps, fpx, gif, JBIG, jng, jpeg, MrSID, p7, pdf, Picon, PNG, PPM, PSD, RAD, TGA, TIF, webp, XPM

  • dokumenty:
  • doc → odt, pdf
    html → odt
    odp → pdf, ppt
    ods → pdf
    odt → doc, html, pdf, rtf, sxw, txt, xml
    sxw → odt
    ppt → odp
    rtf → odt
    sdw → odt
    txt → odt
    xls → ods
    xml → doc, odt, pdf

Instalacja

W terminalu:

sudo add-apt-repository ppa:ffmulticonverter/stable
sudo apt-get update
sudo apt-get install ffmulticonverter
Program działa na Ubuntu 13.04, 12.10, 12.04, 11.10
Nie ma go w podstawowych repozytoriach Ubuntu, a więc instalujesz na własne ryzyko!
Strona domowa: FF Multi Converter
avatar

Piotrek Bułka

Wbrew pozorom bardzo szalony i wesoły człowiek, otwarty na świat, lubi poznawać nowych ludzi, rozmawiać i śmiać się. Absolwent Zespołu Szkół Mechaniczno - Elektrycznych w Żywcu o profilu Technik Informatyk. Tester Ubuntu i programów przeznaczonych na ten system, zajmuje się również dostosowywaniem systemu do indywidualnych potrzeb użytkownika. W wolnym czasie interesuje się grafiką komputerową, kręceniem filmów, lubi chodzić po górach, grać w siatkówkę a także oglądać dobre filmy.
Jeżeli powyższy artykuł nie rozwiązał lub rozwiązał częściowo Twój problem, dodaj swój komentarz opisujący, w którym miejscu napotkałeś trudności.
Mile widziane komentarze z uwagami lub informacjami o rozwiązaniu problemu.
  • raawek

    tyle że chyba ten pakiet koliduje z Libre Office instalowanym za pomocą Twojego, Waszego skryptu. Próbuję to jakoś pogodzić ze sobą, no chyba że ktoś ma jakieś pomysły, recepty;)?

    • http://www.ubuntu-pomoc.org/ Łukasz Schmidtke

      Dlaczego koliduje?

      • PM

        Mam zainstalowane LibreOffice 4.0.1 i gdy chce zainstalować ffmulticonverter z repozytorium to menadżer pakietów chce usunąć LibreOffice 4.0.1 i zainstalować wersję 3.6.
        Jeśli sciągnę paczkę deb usunę z niej zależności z LibreOffice 3.6 i zainstaluję to mając zainstalowane LibreOffice 4 w ffmulticonverter nie będzie działać konwersja dokumentów.

        • raawek

          no właśnie o to chodzi, instalacja tego pakietu to równocześnie powrót do starszej wersji libre office

  • wrzomar

    Jeśli się nie mylę jest to nakładka na konwertery, które są dostępne na „platformę Linux”, ale trzeba by się było ubrudzić w terminalu. FF Multi Converter zależy od ffmpeg i unoconv – ten drugi zależy od libreoffice instalowanego z Ubuntu (z oficjalnego repo lub z ppa). Jeśli ktoś chce mieć libreoffice 4.0.1 może skorzystać z ppa: https://launchpad.net/~libreoffice/+archive/ppa

  • Czeslaw

    Bajki opowiadacie z tym libreoffice …

    studio@studio-desktop:~$ sudo apt-get install ffmulticonverter
    Czytanie list pakietów… Gotowe
    Budowanie drzewa zależności
    Odczyt informacji o stanie… Gotowe
    Zostaną zainstalowane następujące dodatkowe pakiety:
    python-pythonmagick unoconv
    Zostaną zainstalowane następujące NOWE pakiety:
    ffmulticonverter python-pythonmagick unoconv
    0 aktualizowanych, 3 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
    Konieczne pobranie 717 kB archiwów.
    Po tej operacji zostanie dodatkowo użyte 3580 kB miejsca na dysku.
    Kontynuować [T/n]? T
    ……….

    • http://www.ubuntu-pomoc.org/ Łukasz Schmidtke

      A jaka wersja LO?

  • Boogie

    Ubuntu 13.04
    LibreOffice 4.0.1.2 (instalowany z paczek .deb, które krążą gdzieś tu w sieci)

    „Zostaną zainstalowane następujące dodatkowe pakiety:
    ffmpeg fonts-sil-gentium fonts-sil-gentium-basic libav-tools libavdevice53
    libavfilter2 libhsqldb-java libmagick++5 libreoffice libreoffice-base
    libreoffice-base-core libreoffice-calc libreoffice-common libreoffice-core
    libreoffice-draw libreoffice-emailmerge libreoffice-filter-mobiledev
    libreoffice-gnome libreoffice-gtk libreoffice-impress
    libreoffice-java-common libreoffice-math libreoffice-pdfimport
    libreoffice-report-builder-bin libreoffice-style-galaxy
    libreoffice-style-tango libreoffice-writer libservlet3.0-java
    python-pythonmagick python-uno ttf-dejavu unoconv
    Sugerowane pakiety:
    java-virtual-machine libhsqldb-java-doc libhsqldb-java-gcj
    libreoffice-grammarcheck libreoffice-help-4.0 libreoffice-l10n-4.0
    mythes-thesaurus openclipart-libreoffice pstoedit unixodbc
    gstreamer1.0-ffmpeg libreoffice-officebean libmyodbc odbc-postgresql
    libsqliteodbc tdsodbc mdbtools libmysql-java libpg-java libjtds-java
    libreoffice-gcj libreoffice-report-builder libreoffice-style-crystal
    libreoffice-style-hicontrast libreoffice-style-human
    libreoffice-style-oxygen libreoffice-evolution tango-icon-theme
    Następujące pakiety zostaną USUNIĘTE:
    libreoffice-debian-menus
    Zostaną zainstalowane następujące NOWE pakiety:
    ffmpeg ffmulticonverter fonts-sil-gentium fonts-sil-gentium-basic
    libav-tools libavdevice53 libavfilter2 libhsqldb-java libmagick++5
    libreoffice libreoffice-base libreoffice-base-core libreoffice-calc
    libreoffice-common libreoffice-core libreoffice-draw libreoffice-emailmerge
    libreoffice-filter-mobiledev libreoffice-gnome libreoffice-gtk
    libreoffice-impress libreoffice-java-common libreoffice-math
    libreoffice-pdfimport libreoffice-report-builder-bin
    libreoffice-style-galaxy libreoffice-style-tango libreoffice-writer
    libservlet3.0-java python-pythonmagick python-uno ttf-dejavu unoconv”

    Niby aktualnego LibreOffice-a nie chce usuwać, ale chce instalować kolejnego.
    Gdybym LO 4.0 instalował przez repo, to pewnie chciałby go teraz zamienić na starszą wersję, jak poprzednicy piszą.

  • tiger

    http://ppa.launchpad.net/ffmulticonverter/stable/ubuntu/dists/
    Polecam zweryfikować wersje, na których program działa.

  • http://tomaszprzybyl-apel.blogspot.com/ Tomasz Przybył

    W Kubuntu 13.04 Raring x64 jest taki wynik polecenia instalacji programu:
    ————————————————————————————
    sudo apt-get install ffmulticonverter
    Czytanie list pakietów… Gotowe
    Budowanie drzewa zależności
    Odczyt informacji o stanie… Gotowe
    Zostaną zainstalowane następujące dodatkowe pakiety:
    libboost-python1.49.0 python-pythonmagick python-uno unoconv
    Następujące pakiety zostaną USUNIĘTE:
    python3-uno
    Zostaną zainstalowane następujące NOWE pakiety:
    ffmulticonverter libboost-python1.49.0 python-pythonmagick python-uno
    unoconv
    0 aktualizowanych, 5 nowo instalowanych, 1 usuwanych i 0 nieaktualizowanych.
    Konieczne pobranie 1080 kB archiwów.
    Po tej operacji zostanie dodatkowo użyte 4604 kB miejsca na dysku.
    Kontynuować [T/n]?
    ————————————————————————————
    Pakiet python3-uno jest wymagany przez LibreOffice 4.0.2.2 .
    ————————————————————————————
    python3.3-uno

    Pakiet niedostępny

    lub python3-uno (>= 4.0~)Python-UNO bridge

    lub python-unoPython-UNO bridge

    ————————————————————————————
    http://packages.ubuntu.com/raring/libreoffice
    http://packages.ubuntu.com/raring/python3-uno
    ————————————————————————————

  • Czarek

    Bardzo fajny programik. Na Ubuntu 12.04 działa na 100%. Wszystko jest ok. Pozdrawiam.

  • Stefan474

    błąd 404, nie mogę pobrać. Czy to jeszcze istnieje? :P
    Ubuntu 14.04 mam.

  • woytas33

    Witam! Mam problem z konwersją plików video, które zostały zapisane podczas pracy w środowisku ubuntu z rozszerzeniem „.com”. :) Typ pliku wyświetlany jest jako: „Aplikacja MS-DOS”. Teraz, pracując na Win8 niewiele mogę z nimi zrobić, tzn. żaden program do konwersji nie chce ich przeczytać, nie ma też możliwości zmiany właściwości plików, albo po prostu nie wiem jak to inaczej zrobić. Czy da się te pliki jakoś odratować?

    • wrzomar

      A co powinno być w tych plikach? Pod ubuntu narzędzie file pewnie by rozpoznało po zawartości co to jest, jeśli rozszerzenie com by je ogłupiło to wystarczy zmienić nazwę na taką bez rozszerzenia. Pliki te powinny mieć rozszerzenie zgodne z kontenerem jaki użyłeś przy ich tworzeniu. Jeśli to jakiś RIFF to łatwo możesz to ustalić podglądając je jakimkolwiek hexeditorem. https://pl.wikipedia.org/wiki/Resource_Interchange_File_Format
      Możesz też zmieniać rozszerzenia na chybił trafił.

      • woytas33

        Witam i bardzo dziękuję za zainteresowanie i wstępną odpowiedź. :)
        A teraz po kolei (z góry przepraszam za moje laickie pojęcie tematu):
        1. w plikach powinny być zapisy video (niestety nie znam ich pierwotnych rozszerzeń, nie wiem czy to było .mp4, wmv, czy inny format)
        2. pliki są zapisane na dysku zewnętrznym, który pracował z ubuntu na innym komputerze (czy mógł on zostać inaczej sparowany (mam tu na myśli system zapisu NTFS, itp.)
        3. po skopiowaniu plików z dysku zewnętrznego na komputer, na którym obecnie pracuję (Win8, 64-bit) ISTNIEJE możliwość zmiany nazwy tych plików, jednak to nic nie pomaga, tzn.we właściwościach plik nadal jest odczytywany jako aplikacja MS-DOS (niebiesko-biało-szara ikonka) i żaden z programów do odtwarzania ich nie czyta, a Windows wyrzuca komunikat: „Ta aplikacja nie będzie działać na Twoim komputerze. Aby znaleźć wersję dla tego komputera, skontaktuj się z wydawcą oprogramowania”.
        4. zainstalowałem też program winhex. Wspomniane pliki ładują się, mam możliwość zapisania ich z innym rozszerzeniem (próbowałem jako .mp4, .wmv, bo takie jest największe prawdopodobieństwo) i zapisują się nawet i wyświetlają jako ikonka odtwarzacza VLC, jednak nie można ich odtworzyć. Jest też możliwość ich konwersji (Ctr+R), jednak tutaj utknąłem, bo po prostu nie wiem jak obsługiwać ten program.
        Mam nadzieję, że dość jasno to opisałem i uprzejmie proszę o wskazówki, co mam dalej robić, by odratować te pliki. Czy muszę zainstalować ubuntu na nowym komputerze, by odzyskać te pliki?

        • wrzomar

          Nie miałem wiele styczności z Win8, ale poprzednie wersje domyślnie ukrywały rozszerzenia znanych typów plików, więc zanim zaczniesz zmieniać nazwy, najpierw wyłącz tą opcję (dawniej była w opcjach folderów w eksploratorze). Instalować Ubuntu nie musisz, bo to i tak za wiele nie da, mógłbyś uruchomić je w np. w VirtualBox, ale to może później. Ty te pliki konwertowałeś czy ktoś inny? Jakim programem była robiona ta konwersja? Jakie duże są te pliki?

          • woytas33

            1. Wyłączenie opcji „Ukryj rozszerzenia znanych typów plików” w Opcjach Folderów nic nie wnosi. Czy poza tym, muszę wykonać coś jeszcze?
            2. Chyba do końca się nie zrozumieliśmy, bo te pliki NIE BYŁY wcześniej w żaden sposób konwertowane. Po prostu podczas pracy w Ubuntu zostały zapisane z rozszerzeniem .com, a Win8 ma trudności z ich odczytaniem. Co ciekawe nie stało się tak z innymi plikami, bo są też takie pliki video (w Win8 w postaci białej ikonki), które były zapisywane bez żadnego rozszerzenia, gdzie wystarczy do nazwy pliku „dokleić” .mp4 lub .wmv i jeśli rozszerzenie jest trafne, to system nawet „wgrywa” obrazek ikonki i wszystko śmiga jak należy. Natomiast te, które miały na końcu w nazwie .com odczytywane są teraz przez Win8 jako Aplikacja MS-DOS. Ich rozmiar to ok. 400MB.

            • wrzomar

              Wyłączenie tej opcji daje to, że wyświetlana jest pełna nazwa wszystkich plików i można zmienić rozszerzenie, bo inaczej po dodaniu .mp4 do nazwy powstaje potworek np: *.mp4.com. Jeśli masz pewność, że mogą to być tylko mp4 lub wmv to je wypróbuj. VLC ich nie otwiera? Windows Media Player, czy jak go teraz nazywają, też pewnie ich nie otworzy bez poprawnego rozszerzenia. Istnieje port linuksowego mplayer’a dla win, powinien działać tak jak na Ubuntu, np. wersja portable smplayer’a powinna dać radę (jak się umieści kodeki mplayer’a w odpowiednim miejscu). http://portableapps.com/apps/music_video/smplayer_portable Tam jest link do pobrania samego programu i drugi link do kodeków z instalatorem, więc nie powinno być problemów. To jest wersja portable, więc nie powinna zostawiać śladów w systemie i po sprawie możesz po prostu usunąć katalog z programem. Jeśli rozszerzenie com będzie go zwodzić to możesz je usunąć. MPlayer radzi sobie prawie ze wszystkim, więc powinno pomóc.

              • woytas33

                Pomogło. Serdeczne dzięki. :)
                Zarówno SMPlayer, jaki VLC czytają pliki, systemem pośrednim po przeniesieniu pliku (przeciągnij i upuść) w okno odtwarzaczy. Te windows’owe, ms-dos’owe ikonki pozostały bez zmian i bezpośrednie kliknięcie skutkuje komunikatem, o którym wyżej wspomniałem.
                Jeszcze dwa pytania:
                1. czy był to tylko efekt braku jakiegoś codec’a?
                2. czy można zrobić coś, aby startować te pliki bezpośrednio, podwójnym kliknięciem w ikonkę, ewentualnie PPM i „Otwórz za pomocą”? (obecnie ta opcja nie jest wyświetlana).

              • wrzomar

                Nie wiem jak obecnie VLC zachowuje się na windowsach, bo na ubuntu wykorzystuje libav, więc zachowuje się jak avconv lub ffmpeg (kiedyś). MPlayer działa niezależnie (chyba) od systemowych kodeków (a raczej w zależności jak został skompilowany). MPlayer jest dość gadatliwy, jeśli uruchomi się go z konsoli, ale SMPlayer też ma gdzieś „właściwości pliku” ukryte w menu, nie jestem na bieżąco. VLC ma w menu Narzędzia (chyba) Właściwości pliku i Właściwości kodeka. Chociaż we Właściwościach pliku u mnie nic takiego nie wypisał, a właściwości kodeków były w tym samym oknie na innej zakładce. W SMPlayer w menu Opcje mam „Pokaż informacje i właściwości” i tam na zakładkach mam więcej użytecznych informacji niż w VLC – oprócz kodeków wideo i audio wyświetla też informacje o demuxerze, więc z grubsza o tym czego szukasz, czyli w jakim kontenerze są strumienie. W przypadku mp4 będzie to mov (bo mp4 to właściwie quicktime, ale okrojony), a w przypadku wmv będzie asf, avi rozpoznaje mi jako avi, ale AVI to forma RIFF’a, podobnie jak WAV. W przypadku Matroski demux i rozszerzenie to mkv. I to by było na tyle ;)

              • wrzomar

                Jeśli się okaże, że win8 jest zbyt przyjazny dla użytkownika na zmianę rozszerzenia pliku, to zawsze można wykonać taką niby konwersję (za pomocą VLC lub MEncoder) kopiując strumienie tak jak lecą do jakiegoś wybranego kontenera (mux’a). Tylko w przypadku VLC trzeba wiedzieć jaki mux do jakiego typu plików… W przypadku MEncoder’a też, ale w inną stronę (wg nomenklatury MPlayer’a to chyba format – jedną opcją się wybiera format, a inną opcje wybranego formatu) ;)

  • Bogna Węgorska

    wogole ffconv mi sie nie instaluje